Caches
Elementary

These are functions which let one fine-tune some cache values for Elementary applications, thus allowing for performance adjustments. More...

## Functions

void | elm_cache_all_flush (void)
| Flush all caches.
int | elm_config_cache_flush_interval_get (void)
| Get the configured cache flush interval time.
void | elm_config_cache_flush_interval_set (int size)
| Set the configured cache flush interval time.
Eina_Bool | elm_config_cache_flush_enabled_get (void)
| Get the configured cache flush enabled state.
void | elm_config_cache_flush_enabled_set (Eina_Bool enabled)
| Set the configured cache flush enabled state.
int | elm_config_cache_font_cache_size_get (void)
| Get the configured font cache size.
void | elm_config_cache_font_cache_size_set (int size)
| Set the configured font cache size.
int | elm_config_cache_image_cache_size_get (void)
| Get the configured image cache size.
void | elm_config_cache_image_cache_size_set (int size)
| Set the configured image cache size.
int | elm_config_cache_edje_file_cache_size_get (void)
| Get the configured edje file cache size.
void | elm_config_cache_edje_file_cache_size_set (int size)
| Set the configured edje file cache size.
int | elm_config_cache_edje_collection_cache_size_get (void)
| Get the configured edje collections (groups) cache size.
void | elm_config_cache_edje_collection_cache_size_set (int size)
| Set the configured edje collections (groups) cache size.
EINA_DEPRECATED void | elm_cache_flush_interval_all_set (int size)
| Set the configured cache flush interval time for all applications on the display.
EINA_DEPRECATED void | elm_cache_flush_enabled_all_set (Eina_Bool enabled)
| Set the configured cache flush enabled state for all applications on the display.
EINA_DEPRECATED void | elm_font_cache_all_set (int size)
| Set the configured font cache size for all applications on the display.
EINA_DEPRECATED void | elm_image_cache_all_set (int size)
| Set the configured image cache size for all applications on the display.
EINA_DEPRECATED void | elm_edje_file_cache_all_set (int size)
| Set the configured edje file cache size for all applications on the display.
EINA_DEPRECATED void | elm_edje_collection_cache_all_set (int size)
| Set the configured edje collections (groups) cache size for all applications on the display.

## Detailed Description

These are functions which let one fine-tune some cache values for Elementary applications, thus allowing for performance adjustments.

## Function Documentation

## elm_cache_all_flush()

void elm_cache_all_flush | ( | void |  | ) |

Flush all caches.

Frees all data that was in cache and is not currently being used to reduce memory usage. This frees Edje's, Evas' and Eet's cache. This is equivalent to calling all of the following functions:

- edje_file_cache_flush()
- edje_collection_cache_flush()
- eet_clearcache()
- evas_image_cache_flush()
- evas_font_cache_flush()
- evas_render_dump()
  Note
    Evas caches are flushed for every canvas associated with a window.

References edje_collection_cache_flush(), edje_file_cache_flush(), eet_clearcache(), EINA_LIST_FOREACH, evas_font_cache_flush(), evas_image_cache_flush(), and evas_object_evas_get().

## elm_config_cache_flush_interval_get()

int elm_config_cache_flush_interval_get | ( | void |  | ) |

Get the configured cache flush interval time.

This gets the globally configured cache flush interval time, in ticks

Returns
  The cache flush interval time

See also
  elm_cache_all_flush()

## elm_config_cache_flush_interval_set()

void elm_config_cache_flush_interval_set | ( | int | size | ) |

Set the configured cache flush interval time.

This sets the globally configured cache flush interval time, in ticks

Parameters

  size | The cache flush interval time

Note
  The `size` must be greater than 0. if not, the cache flush will be ignored.

See also
  elm_cache_all_flush()

References EINA_SAFETY_ON_FALSE_RETURN, and EINA_TRUE.

## elm_config_cache_flush_enabled_get()

Eina_Bool elm_config_cache_flush_enabled_get | ( | void |  | ) |

Get the configured cache flush enabled state.

This gets the globally configured cache flush state - if it is enabled or not. When cache flushing is enabled, elementary will regularly (see elm_config_cache_flush_interval_get() ) flush caches and dump data out of memory and allow usage to re-seed caches and data in memory where it can do so. An idle application will thus minimize its memory usage as data will be freed from memory and not be re-loaded as it is idle and not rendering or doing anything graphically right now.

Returns
  The cache flush state

See also
  elm_cache_all_flush()

## elm_config_cache_flush_enabled_set()

void elm_config_cache_flush_enabled_set | ( | Eina_Bool | enabled | ) |

Set the configured cache flush enabled state.

This sets the globally configured cache flush enabled state.

Parameters

  enabled | The cache flush enabled state

See also
  elm_cache_all_flush()

References EINA_TRUE.

## elm_config_cache_font_cache_size_get()

int elm_config_cache_font_cache_size_get | ( | void |  | ) |

Get the configured font cache size.

This gets the globally configured font cache size, in kilo bytes.

Returns
  The font cache size

## elm_config_cache_font_cache_size_set()

void elm_config_cache_font_cache_size_set | ( | int | size | ) |

Set the configured font cache size.

This sets the globally configured font cache size, in kilo bytes

Parameters

  size | The font cache size

References EINA_TRUE.

## elm_config_cache_image_cache_size_get()

int elm_config_cache_image_cache_size_get | ( | void |  | ) |

Get the configured image cache size.

This gets the globally configured image cache size, in kilo bytes

Returns
  The image cache size

## elm_config_cache_image_cache_size_set()

void elm_config_cache_image_cache_size_set | ( | int | size | ) |

Set the configured image cache size.

This sets the globally configured image cache size, in kilo bytes

Parameters

  size | The image cache size

References EINA_TRUE.

## elm_config_cache_edje_file_cache_size_get()

int elm_config_cache_edje_file_cache_size_get | ( | void |  | ) |

Get the configured edje file cache size.

This gets the globally configured edje file cache size, in number of files.

Returns
  The edje file cache size

## elm_config_cache_edje_file_cache_size_set()

void elm_config_cache_edje_file_cache_size_set | ( | int | size | ) |

Set the configured edje file cache size.

This sets the globally configured edje file cache size, in number of files.

Parameters

  size | The edje file cache size

References EINA_TRUE.

## elm_config_cache_edje_collection_cache_size_get()

int elm_config_cache_edje_collection_cache_size_get | ( | void |  | ) |

Get the configured edje collections (groups) cache size.

This gets the globally configured edje collections cache size, in number of collections.

Returns
  The edje collections cache size

## elm_config_cache_edje_collection_cache_size_set()

void elm_config_cache_edje_collection_cache_size_set | ( | int | size | ) |

Set the configured edje collections (groups) cache size.

This sets the globally configured edje collections cache size, in number of collections.

Parameters

  size | The edje collections cache size

References EINA_TRUE.

## elm_cache_flush_interval_all_set()

EINA_DEPRECATED void elm_cache_flush_interval_all_set | ( | int | size | ) |

Set the configured cache flush interval time for all applications on the display.

This sets the globally configured cache flush interval time – in ticks – for all applications on the display.

Parameters

  size | The cache flush interval time

Deprecated
  Use elm_cache_flush_interval_set() and elm_config_all_flush()

References EINA_DEPRECATED.

## elm_cache_flush_enabled_all_set()

EINA_DEPRECATED void elm_cache_flush_enabled_all_set | ( | Eina_Bool | enabled | ) |

Set the configured cache flush enabled state for all applications on the display.

This sets the globally configured cache flush enabled state for all applications on the display.

Parameters

  enabled | The cache flush enabled state

Deprecated
  Use elm_cache_flush_enabled_set and elm_config_all_flush()

References EINA_DEPRECATED.

## elm_font_cache_all_set()

EINA_DEPRECATED void elm_font_cache_all_set | ( | int | size | ) |

Set the configured font cache size for all applications on the display.

This sets the globally configured font cache size – in bytes – for all applications on the display.

Parameters

  size | The font cache size

Deprecated
  Use elm_font_cache_set() and elm_config_all_flush()

References EINA_DEPRECATED.

## elm_image_cache_all_set()

EINA_DEPRECATED void elm_image_cache_all_set | ( | int | size | ) |

Set the configured image cache size for all applications on the display.

This sets the globally configured image cache size – in bytes – for all applications on the display.

Parameters

  size | The image cache size

Deprecated
  Use elm_image_cache_set() and elm_config_all_flush()

References EINA_DEPRECATED.

## elm_edje_file_cache_all_set()

EINA_DEPRECATED void elm_edje_file_cache_all_set | ( | int | size | ) |

Set the configured edje file cache size for all applications on the display.

This sets the globally configured edje file cache size – in number of files – for all applications on the display.

Parameters

  size | The edje file cache size

Deprecated
  Use elm_edje_file_cache_set() and elm_config_all_flush()

References EINA_DEPRECATED.

## elm_edje_collection_cache_all_set()

EINA_DEPRECATED void elm_edje_collection_cache_all_set | ( | int | size | ) |

Set the configured edje collections (groups) cache size for all applications on the display.

This sets the globally configured edje collections cache size – in number of collections – for all applications on the display.

Parameters

  size | The edje collections cache size

Deprecated
  Use elm_edje_collection_cache_set() and elm_config_all_flush()

References EINA_DEPRECATED.